Create Source
Attach a connector source (Notion connection, URL, S3, …) to a KB.
POST
/
v1
/
knowledge-base
/
knowledge-bases
/
{kb_id}
/
sources
Create Source
curl --request POST \
--url https://api-sandbox.featherhq.com/v1/knowledge-base/knowledge-bases/{kb_id}/sources \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"provider": "notion",
"integration_connection_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"config": {},
"credentials": {}
}
'import requests
url = "https://api-sandbox.featherhq.com/v1/knowledge-base/knowledge-bases/{kb_id}/sources"
payload = {
"provider": "notion",
"integration_connection_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"config": {},
"credentials": {}
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
provider: 'notion',
integration_connection_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
config: {},
credentials: {}
})
};
fetch('https://api-sandbox.featherhq.com/v1/knowledge-base/knowledge-bases/{kb_id}/sources', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"knowledge_base_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"provider": "notion",
"integration_connection_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"config": {},
"last_sync_job_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"integration_key": "<string>",
"connection_nickname": "<string>",
"connection_metadata": {},
"auto_sync_enabled": false,
"sync_interval_seconds": 123,
"next_sync_at": "2023-11-07T05:31:56Z",
"last_auto_sync_at": "2023-11-07T05:31:56Z"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Authorizations
Path Parameters
Body
application/json
Response
Successful Response
Was this page helpful?
⌘I
Create Source
